#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long n,m,x,y,i,j;
    scanf("%lld",&n);
    if(n==1)
        {
            m=3;
            x=0;
            y=0;
            printf("%lld\n",m);
            while(m--)

            {
                printf("%lld %lld\n",x,y);
                x++;

            }
        }
    if(n==2)
    {
        printf("5\n0 2\n0 1\n0 0\n1 0\n2 0\n");
    }
    if(n==4)
    {
        printf("4\n0 0\n1 1\n2 2\n3 3");
    }
  else
    if(n>4)
  {
      long long a=n / 4;
      long long b=n % 4;
      long long d=1,dx=1,dy=1;
      x=0;
      y=0;
      printf("%lld\n",4*a+b);
      //printf("0 0\n");
      for(i=0;i<a;i++)
      {
         for(j=0;j<4;j++){
          printf("%lld %ld\n",x,y);
          x+=dx;
          y+=dy;}
          x++;
          y+=2;
          dx=x;
          dy=y;

      }
      for(i=0;i<b;i++)
      {
          for(j=0;j<3;j++)
          {
              printf("%lld %lld\n",x,y);
              x+=dx;
              y+=dy;
          }
          x++;
          y+=2;
          dx=x;
          dy=y;
      }
  }
 return 0;
}